Page MenuHomePhabricator

"Select language" blue boxes are shown on mw-config
Closed, ResolvedPublic

Description

Hi when I go to mw-config on my website it shows the blue boxes they should be hidden which they were which indicates a js problem. Please fix it.

I am running mediawiki 1.26 wmf22

To reproduce download Mediawiki from either the master branch or wmf/1.26wmf22 branch install mediawiki on your website then go to mw-config on your website it should show the blue boxes by default. They should be hidden like they were before.

I have checked it in chrome and ie.

Details

Related Gerrit Patches:

Event Timeline

Paladox created this task.Sep 12 2015, 3:01 PM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a project: MediaWiki-General.
Paladox added subscribers: Paladox, Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2015, 3:01 PM

Please provide a screenshot. Does this happen with any browser?

Heres the screenshot.

happends with internet explorer.

Aklapper renamed this task from Blue boxes are showing on mw-config to "Select language" blue boxes are shown on mw-config in IE.Sep 15 2015, 10:00 AM
Aklapper edited projects, added MediaWiki-Installer; removed MediaWiki-General.
Aklapper set Security to None.
Paladox renamed this task from "Select language" blue boxes are shown on mw-config in IE to "Select language" blue boxes are shown on mw-config.Sep 20 2015, 6:18 PM
Paladox updated the task description. (Show Details)

Change 241482 had a related patch set uploaded (by PleaseStand):
Web installer: Fix collapsing of field help text

https://gerrit.wikimedia.org/r/241482

It seems js is broken since help button is hidden and display: inline isent being applied causing help to be hidden. also display none isent being applied causing blue box to show but when you click help button it just dosent do anything.

Florian added subscribers: PleaseStand, Florian.

The change of @PleaseStand fixes the problem for me. @Paladox: Please recheck (clear browser cache, e.g.) :)

Change 241482 merged by jenkins-bot:
Web installer: Fix collapsing of field help text

https://gerrit.wikimedia.org/r/241482

matmarex closed this task as Resolved.Sep 28 2015, 12:39 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

Change 242466 had a related patch set uploaded (by Paladox):
Web installer: Fix collapsing of field help text

https://gerrit.wikimedia.org/r/242466

Change 242466 merged by jenkins-bot:
Web installer: Fix collapsing of field help text

https://gerrit.wikimedia.org/r/242466